SHISPlugIn (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.plugin.shis
Class SHISPlugIn

    java.lang.Object
      com.bbn.openmap.plugin.AbstractPlugIn
          com.bbn.openmap.plugin.WebImagePlugIn
              com.bbn.openmap.plugin.shis.SHISPlugIn

All Implemented Interfaces:
  MapMouseListener, ImageServerConstants, WMTConstants, PlugIn, PropertyConsumer

    public class SHISPlugIn

extends WebImagePlugIn
implements ImageServerConstants

This class asks for an image from a SimpleHttpImageServer. It has some properties that you can set in the openmap.properties file:

The query to the SimpleHttpImageServer looks like something you can plug into your browser to test the server:

http://hostname:port/path?REQUEST=MAP&PROJTYPE=projection_type_value&SCALE=scale_value&LAT=center_latitude&LON=center_longitude&HEIGHT=map_pixel_height&WIDTH=map_pixel_width&FORMAT=image_format&TRANSPARENT=true|false&BGCOLOR=background_color

The projection information will be entered automatically by the plugin based on the projection it receives from the MapBean. The other parameters can be entered in the properties for the layer. #For the plugin layer pluginlayer.class=com.bbn.openmap.plugin.PlugInLayer pluginlayer.prettyName=Whatever pluginlayer.plugin=com.bbn.openmap.plugin.shis.SHISPlugIn pluginlayer.plugin.host=hostname pluginlayer.plugin.port=port number pluginlayer.plugin.path=query path (default is openmap) pluginlayer.plugin.format=image format (JPEG, GIF from WMTConstants.java) pluginlayer.plugin.transparent=true or false, depends on imageformat pluginlayer.plugin.backgroundColor=RGB hex string (RRGGBB)

Field Summary
`protected java.lang.String` | `backgroundColor`
`static java.lang.String` | `BackgroundColorProperty`
`protected java.lang.String` | `host`
`static java.lang.String` | `HostNameProperty`
`protected java.lang.String` | `imageFormat`
`static java.lang.String` | `ImageFormatProperty`
`protected java.lang.String` | `path`
`static java.lang.String` | `PathProperty`
`protected java.lang.String` | `port`
`static java.lang.String` | `PortNumberProperty`
`protected java.lang.String` | `queryHeader`
`protected java.lang.String` | `transparent`
`static java.lang.String` | `TransparentProperty`

Fields inherited from class com.bbn.openmap.plugin.WebImagePlugIn
`currentProjection, layer, logger, messageWindow, redrawButton`

Fields inherited from class com.bbn.openmap.plugin.AbstractPlugIn
`addToBeanContext, component, mml, name, prefix, removable, RemovableProperty`

Fields inherited from interface com.bbn.openmap.image.ImageServerConstants
`AZIMUTH, LAT, LAYERMASK, LAYERS, LON, PAN, PROJTYPE, QUERY, RECENTER, SCALE, X, Y`

Fields inherited from interface com.bbn.openmap.image.WMTConstants
`BBOX, BGCOLOR, CAPABILITIES, CRS, EXCEPTIONS, FORMAT, GETCAPABILITIES, GETFEATUREINFO, GETLEGENDGRAPHIC, GETMAP, HEIGHT, IMAGEFORMAT_GEOTIFF, IMAGEFORMAT_GIF, IMAGEFORMAT_JPEG, IMAGEFORMAT_PNG, IMAGEFORMAT_PPM, IMAGEFORMAT_SVG, IMAGEFORMAT_TIFF, IMAGEFORMAT_WBMP, INFO_FORMAT, LAYER, MAP, QUERY_LAYERS, REQUEST, SERVICE, SRS, STYLE, STYLES, TRANSPARENT, VERSION, WIDTH, WMTVER`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`SHISPlugIn()`

Method Summary
`java.lang.String` | `createQueryString(Projection p)` When a projection is received, translate it into a valid request for a SimpleHttpImageServer, and then return the image received back from it.
`java.lang.String` | `getLayerMarkers()`
`java.util.Properties` | `getProperties(java.util.Properties getList)` PropertyConsumer method.
`java.util.Properties` | `getPropertyInfo(java.util.Properties list)` PropertyConsumer method.
`java.lang.String` | `getServerName()`
`void` | `setProperties(java.lang.String prefix, java.util.Properties setList)` PropertyConsumer method.

Methods inherited from class com.bbn.openmap.plugin.WebImagePlugIn
`fetchImageAndAddToList, getGUI, getRectangle, handleMessage, setComponent`

Methods inherited from class com.bbn.openmap.plugin.AbstractPlugIn
`dispose, doPrepare, getAddToBeanContext, getComponent, getMapMouseListener, getMouseModeServiceList, getName, getPropertyPrefix, isRemovable, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased, removed, repaint, setAddToBeanContext, setMapMouseListener, setName, setProperties, setPropertyPrefix, setRemovable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### queryHeader

    protected java.lang.String queryHeader

### imageFormat

    protected java.lang.String imageFormat

### backgroundColor

    protected java.lang.String backgroundColor

### transparent

    protected java.lang.String transparent

### host

    protected java.lang.String host

### port

    protected java.lang.String port

### path

    protected java.lang.String path

### HostNameProperty

    public static final java.lang.String HostNameProperty

See Also:
  Constant Field Values

### PortNumberProperty

    public static final java.lang.String PortNumberProperty

See Also:
  Constant Field Values

### PathProperty

    public static final java.lang.String PathProperty

See Also:
  Constant Field Values

### ImageFormatProperty

    public static final java.lang.String ImageFormatProperty

See Also:
  Constant Field Values

### BackgroundColorProperty

    public static final java.lang.String BackgroundColorProperty

See Also:
  Constant Field Values

### TransparentProperty

    public static final java.lang.String TransparentProperty

See Also:
  Constant Field Values

Constructor Detail

### SHISPlugIn

    public SHISPlugIn()

Method Detail

### createQueryString

    public java.lang.String createQueryString(Projection p)

  When a projection is received, translate it into a valid request for a SimpleHttpImageServer, and then return the image received back from it.

  Specified by:
    `createQueryString` in class `WebImagePlugIn`
  Parameters:
    `p` - projection of the screen, holding scale, center coords, height, width.
  Returns:
    an OMGraphicList with an image received from a SHIS.

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in class `WebImagePlugIn`

### getLayerMarkers

    public java.lang.String getLayerMarkers()

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties setList)

  PropertyConsumer method.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `AbstractPlugIn`
  Parameters:
    `prefix` - a String used by the PropertyConsumer to prepend to each property value it wants to look up - setList.getProperty(prefix.propertyKey). If the prefix had already been set, then the prefix passed in should replace that previous value.
    `setList` - a Properties object that the PropertyConsumer can use to retrieve expected properties it can use for configuration.

### getProperties

    public java.util.Properties getProperties(java.util.Properties getList)

  PropertyConsumer method.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `AbstractPlugIn`
  Parameters:
    `getList` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

### getPropertyInfo

    public java.util.Properties getPropertyInfo(java.util.Properties list)

  PropertyConsumer method.

  Specified by:
    `getPropertyInfo` in interface `PropertyConsumer`
  Overrides:
    `getPropertyInfo` in class `AbstractPlugIn`
  Parameters:
    `list` - a Properties object to load the PropertyConsumer properties into. If getList equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details